Skip to main content
POST
/
v1
/
pay
/
convert
Initiate Convert
curl --request POST \
  --url https://openplatform.gateapi.io/v1/pay/convert \
  --header 'Content-Type: application/json' \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
  --data '
{
  "clientReqId": "181147",
  "sellCurrency": "GT",
  "buyCurrency": "USDT",
  "buyAmount": "1",
  "sellAmount": "0.04464002",
  "quoteId": "PAY-2a5743d8"
}
'
{
  "status": "SUCCESS",
  "code": "000000",
  "errorMessage": "",
  "data": {
    "order_id": "327196066546229248",
    "userId": 10002,
    "sellCurrency": "GT",
    "buyCurrency": "USDT",
    "sellAmount": "0.04464002",
    "buyAmount": "1",
    "status": 1,
    "rate": 22.40142365527614,
    "quoteId": "PAY-2a5743d8",
    "createTime": 1739971221273
  }
}

Overview

This page documents the POST /v1/pay/convert endpoint. The full schema, parameters, and examples are rendered from the linked OpenAPI definition above.

Notes

Headers

X-GatePay-Certificate-ClientId
string
required

Merchant client ID assigned when registering the application

Example:

"mZ96D37oKk-HrWJc"

X-GatePay-Signature
string
required

Request signature for verification

Example:

"8504fe097f7297f8952c76e628ce59dbc93d1df64c95f26c73140ef365d4aa1471826ada0534315461682ec35c131d7e133c51d2ab0822fe7366650a111887ba"

X-GatePay-Timestamp
string
required

UTC timestamp in milliseconds

Example:

"1740019013818"

X-GatePay-Nonce
string
required

Random string, recommended length within 32 characters

Example:

"9722139164"

Body

application/json
clientReqId
string
required

Client request ID (randomly generated by the user to ensure idempotency)

quoteId
string
required

Quote ID (must match the one returned by the preview interface)

buyAmount
string
required

Purchase amount (must match the one returned by the preview interface)

buyCurrency
string
required

Purchase currency (must match the one returned by the preview interface)

sellAmount
string
required

Sell amount (must match the one returned by the preview interface)

sellCurrency
string
required

Sell currency (must match the one returned by the preview interface)

Response

200 - application/json

Success

status
string
code
string
errorMessage
string
data
object